/* Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=2)
 * and comes with ABSOLUTELY NO WARRANTY!
 * See LICENSE.txt for details.
 */
#ifndef COMMONTEST_H
#define COMMONTEST_H

#include <QObject>

class BinVerifyTest: public QObject
{
  Q_OBJECT

private Q_SLOTS:
  void testNoSignature();
  void testMiscErrors();
  void testValidBinary();
  void testOtherKey();
#ifdef Q_OS_WIN
  void testOtherCert();
#endif
  void testInvalidSig();
};
#endif

